// TConfig.h: interface for the TConfig class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TCONFIG_H__FFFA6383_7C9C_11D6_8628_0000E87713C4__INCLUDED_)
#define AFX_TCONFIG_H__FFFA6383_7C9C_11D6_8628_0000E87713C4__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#define CONFIG_FILE_NAME "elevators.cfg"

class TConfig  
{
   // данные
   int timeDelay;

public:
   
   int    stepToCountPopulestFloor;
   float  teacherKSUStep;
   int    elemToCheckNeedToAdapt;
   float  tresholdToCheckNeedToAdapt;

   float  ksu;
   int    ksuWhereChanged;
   int    effCriteriaWhereChanged;

   int    populestFloor;
   int    constPopulest;

   float  efficiencyCriteria;

	TConfig()
   {
      timeDelay = 0;
   }

   int  getTimeDelay() { return timeDelay; }
   void setTimeDelay( int delay ) { timeDelay = delay; }

   int save();
   int load();

   void setDefault();
};

extern TConfig config;

#endif // !defined(AFX_TCONFIG_H__FFFA6383_7C9C_11D6_8628_0000E87713C4__INCLUDED_)
